com.opensymphony.xwork2.util.classloader

## Class ResourceStoreClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - com.opensymphony.xwork2.util.classloader.ResourceStoreClassLoader

-     public final class ResourceStoreClassLoader
      extends ClassLoader

  class taken from Apache JCI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceStoreClassLoader(ClassLoader pParent, ResourceStore[] pStores)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `definePackage(String className)` Define the package information associated with a class.
    `protected Class` | `findClass(String name)`
    `protected Class` | `loadClass(String name, boolean resolve)`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceStoreClassLoader

          public ResourceStoreClassLoader(ClassLoader pParent,
                                          ResourceStore[] pStores)

  - ### Method Detail

    - #### loadClass

          protected Class loadClass(String name,
                                    boolean resolve)
                             throws ClassNotFoundException

      Overrides:
        `loadClass` in class `ClassLoader`
      Throws:
        `ClassNotFoundException`

    - #### findClass

          protected Class findClass(String name)
                             throws ClassNotFoundException

      Overrides:
        `findClass` in class `ClassLoader`
      Throws:
        `ClassNotFoundException`

    - #### definePackage

          protected void definePackage(String className)

      Define the package information associated with a class.
      Parameters:
        `className` - the class name of for which the package information is to be determined.

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.